Index: /branches/2.2/filemanager/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3874)
+++ /branches/2.2/filemanager/setup/phpgw_pt-br.lang	(revision 3875)
@@ -147,4 +147,6 @@
 saved %1	filemanager	pt-br	Salvo %1
 Send email	filemanager	pt-br	Enviar email
+Search Folders	filemanager	pt-br	Pesquisar Pastas
+Search Users	filemanager	pt-br	Pesquisar Usuários
 show	filemanager	pt-br	Exibir
 show ..	filemanager	pt-br	Exibir ..
Index: /branches/2.2/filemanager/inc/class.uiconfig.inc.php
===================================================================
--- /branches/2.2/filemanager/inc/class.uiconfig.inc.php	(revision 3874)
+++ /branches/2.2/filemanager/inc/class.uiconfig.inc.php	(revision 3875)
@@ -8,5 +8,4 @@
 	\**************************************************************************/
 
-//require_once("load_lang.php");
 require_once("class.notifications.inc.php");
 
@@ -88,4 +87,5 @@
 		$vars = array(
 						'lang_Add'				=> lang('Add'),
+						'lang_back'				=> lang('Back'),
 						'lang_directory'			=> lang('directory'),
 						'lang_Delete'				=> lang('Delete'),
@@ -96,5 +96,8 @@
 						'lang_setowner'			=> lang('set owner'),
 						'lang_setperm'			=> lang('set permission'),
+						'lang_Search_Folders'	=> lang('Search Folders'),
+						'lang_Search_Users'		=> lang('Search Users'),	
 						'lang_users_and_groups'	=> lang('Users and groups'),
+						'lang_permissions_groups_users' => lang('Permissions of groups and users'),	
 						'path_filemanager'		=> $GLOBALS['phpgw_info']['flags']['currentapp']
 					);
@@ -390,9 +393,13 @@
 		 $GLOBALS['phpgw_info']['flags']['nofooter']	= True;
 		 $GLOBALS['phpgw_info']['flags']['noappheader'] = True;
-
-		 $account_info = $GLOBALS['phpgw']->accounts->get_list('both',0,'','',$_GET['name'],'all');
+		
+		 $_options = "";
+		 
+		 $account_info = $GLOBALS['phpgw']->accounts->get_list('both',0,'','',$_POST['name'],'all');
 
 		 foreach($account_info as $val)
-			 echo "<option value='".$val['account_id']."'>".$val['account_lid']."</option>";
+			 $_options .= "<option value='".$val['account_id']."'>".$val['account_lid']."</option>";
+		 
+		echo $_options;
 	}
 	
Index: /branches/2.2/filemanager/js/config.js
===================================================================
--- /branches/2.2/filemanager/js/config.js	(revision 3874)
+++ /branches/2.2/filemanager/js/config.js	(revision 3875)
@@ -16,5 +16,6 @@
 }
 
-function set_permission(){
+function set_permission()
+{
 	var dirName = document.getElementById('search1').value;
 	var ownerName = document.getElementById('search2').value;
@@ -63,5 +64,6 @@
 
 var timeO;
-function search_dir()
+
+function searchDirOrUser()
 {
 	if( arguments.length  > 0 )
@@ -69,9 +71,11 @@
 		var el	= arguments[0];
 		var ev	= arguments[1];
+		var act	= arguments[2];
 		var key	= [8, 27, 37, 38, 39, 40];
+		var _search =  (act == "dir" ) ? document.getElementById("search1") : document.getElementById("search2");
 		
 		var dir_handler =  function(data)
 		{
-			document.getElementById("search1").innerHTML = data;
+			_search.innerHTML = data;
 		}
 		
@@ -82,36 +86,49 @@
 		if( el.value.length < 4 )
 		{
-			document.getElementById("span_searching1").innerHTML = "( Digite mais " + ( 4 - el.value.length ) + " ) ";
-			setTimeout(function(){
-				document.getElementById("span_searching1").innerHTML = "";
-			},2000);
+			if( act == 'dir' )
+			{
+				document.getElementById("span_searching1").innerHTML = "( Digite mais " + ( 4 - el.value.length ) + " ) ";
+				setTimeout(function(){
+					document.getElementById("span_searching1").innerHTML = "";
+				},2000);
+			}
+			else
+			{
+				document.getElementById("span_searching2").innerHTML = "( Digite mais " + ( 4 - el.value.length ) + " ) ";
+				setTimeout(function(){
+					document.getElementById("span_searching2").innerHTML = "";
+				},2000);
+				
+			}
 		}
 		else
 		{
-			document.getElementById("span_searching1").innerHTML = "( Buscando aguarde .... )";
-			
-			if( timeO )
-				clearTimeout( timeO );
-			
-			timeO = setTimeout( function()
+			if( act == 'dir' )
 			{
-				cExecute_('index.php?menuaction=filemanager.uiconfig.search_dir', dir_handler, 'name='+el.value );
-				document.getElementById('span_searching1').innerHTML = "";
-			}, 700);
+				document.getElementById("span_searching1").innerHTML = "( Buscando aguarde .... )";
+
+				if( timeO )
+					clearTimeout( timeO );
+
+				timeO = setTimeout( function()
+				{
+					cExecute_('index.php?menuaction=filemanager.uiconfig.search_dir', dir_handler, 'name='+el.value );
+					document.getElementById('span_searching1').innerHTML = "";
+				}, 700);
+			}
+			else
+			{
+				document.getElementById('span_searching2').innerHTML = "( Buscando aguarde .... )";
+				
+				if (timeO)
+					clearTimeout(timeO);
+				
+				timeO = setTimeout(function()
+				{
+					cExecute_('index.php?menuaction=filemanager.uiconfig.search_user',dir_handler,'name='+el.value);
+					document.getElementById('span_searching2').innerHTML ="";
+				}, 700);
+			}
 		}
-	}
-}
-
-function search_user(el)
-{
-	if (el.value.length < 4){
-		document.getElementById('span_searching1').innerHTML = get_lang('Type at least 4 chars');
-	}
-	else
-	{
-		document.getElementById('span_searching1').innerHTML = '';
-		if (timeO)
-			clearTimeout(timeO);
-		timeO = setTimeout('cExecute_(\'index.php?menuaction=filemanager.uiconfig.search_user&name='+el.value+'\',user_handler)',700);
 	}
 }
Index: /branches/2.2/filemanager/templates/default/config_folders.tpl
===================================================================
--- /branches/2.2/filemanager/templates/default/config_folders.tpl	(revision 3874)
+++ /branches/2.2/filemanager/templates/default/config_folders.tpl	(revision 3875)
@@ -18,5 +18,5 @@
 			<br clear="all">
 			<label>{lang_search} .:</label>
-			<input onkeyup="search_dir(this,event);" size="30" type="text" value=""/>
+			<input onkeyup="searchDirOrUser(this,event, 'dir');" size="30" type="text" value=""/>
 			<font color="red">
 				<span id="span_searching1"/>
Index: /branches/2.2/filemanager/templates/default/config_quota.tpl
===================================================================
--- /branches/2.2/filemanager/templates/default/config_quota.tpl	(revision 3874)
+++ /branches/2.2/filemanager/templates/default/config_quota.tpl	(revision 3875)
@@ -18,5 +18,5 @@
 			<br clear="all">
 			<label>{lang_search} .:</label>
-			<input onkeyup="search_dir(this,event);" size="30" type="text" value=""/>
+			<input onkeyup="searchDirOrUser(this, event, 'dir');" size="30" type="text" value=""/>
 			<font color="red">
 				<span id="span_searching1"/>
Index: /branches/2.2/filemanager/templates/default/config_owner.tpl
===================================================================
--- /branches/2.2/filemanager/templates/default/config_owner.tpl	(revision 3873)
+++ /branches/2.2/filemanager/templates/default/config_owner.tpl	(revision 3875)
@@ -5,84 +5,65 @@
 <script src='{path_filemanager}/js/config.js'></script>
 
-<table border="0" cellpadding="1" cellspacing="1" style="width: 400px;">
-	<tbody>
-		<tr style="width: 500px;">
-			<td>
-				<b>{lang_search}</b></td>
-			<td>
-				<input onkeyup="search_dir(this)" size="30" type="text" value="" /></td>
-			<td>
-				&nbsp;</td>
-		</tr>
-		<tr>
-			<td>
-				<b>{lang_directory}</b></td>
-			<td>
-				<select id="search1" size="5" style="width: 500px;"></select> </td>
-			<td>
-				&nbsp;</td>
-		</tr>
-		<tr>
-				<td>&nbsp;</td>
-				<td>&nbsp;</td>
-				<td>&nbsp;</td>
-		</tr>
-		<tr>
-			<td>
-				<b>{lang_search}</b></td>
-			<td>
-				<input onkeyup="search_user(this)" size="30" type="text" value="" />
-			</td>
-			<td>
-				&nbsp;</td>
-		</tr>
-		<tr>
-			<td>
-				<b>{lang_users_and_groups}</b></td>
-			<td valign="top">
-				<select id="search2" size="5" style="width: 500px;"></select> </td>
-			<td>
-			<table border="0">
-				<tbody><tr>
-					<td><input name="checkAttr" id="egw_read" type="checkbox"></td>
-					<td>{lang_Read}</td>
-				</tr>
-				<tr>
+<center>
+	<div style="width:800px; height: 300px;border:1px solid #000;">
+		<br/>
+		<div style=" height:35px;text-align:left; margin-left:20px;">
+			<img src="{path_filemanager}/images/conference.png"/>
+			<label style="font-size:12px;font-weight:bold; margin-left:10px;"> {lang_permissions_groups_users} </label>
+		</div>
+		<br/>
+		<div style="width:300px;text-align:left; border:0px solid #000; position:absolute; float:left; margin:10px;">
+			<label style="font-size:9pt !important;">:: {lang_Search_Folders}</label>
+			<br/>
+			<br/>
+			<div style="width:500px;">
+				<label>{lang_search}</label>
+				<font color="red"><span id="span_searching1">&nbsp;</span></font>
+				<br/>
+				<input onkeyup="searchDirOrUser(this, event, 'dir');" size="30" type="text" value="" />
+				<br clear="all">	
+				<br clear="all">	
+				<label>{lang_directory}</label>
+				<br/>
+				<select id="search1" size="3" style="width: 300px;"></select>
+			</div>
+		</div>
 
-					<td><input name="checkAttr" id="egw_add" type="checkbox"></td>
-					<td>{lang_Add}</td>
-				</tr>
-				<tr>
-					<td><input name="checkAttr" id="egw_edit" type="checkbox"></td>
-					<td>{lang_Edit}</td>
-				</tr>
-				<tr>
-					<td><input name="checkAttr" id="egw_delete" type="checkbox"></td>
-					<td>{lang_Delete}</td>
-				</tr>
-				<tr>
-					<td><input name="checkAttr" id="egw_private" type="checkbox"></td>
-					<td>{lang_private}</td>
-				</tr>
-			</tbody></table>
-			</td>
-		</tr>
-		<tr>
-			<td>
-			</td>
-			<td>
-				<input onclick="set_owner()" type="button" value="{lang_setowner}" />
-				<input onclick="set_permission()" type="button" value="{lang_setperm}" />
-			</td>
-			<td>
-			</td>
-		</tr>
-	</tbody>
-</table>
-<p>
-	<br />
-	<font color="red"><span id="span_searching1">&nbsp;</span></font><br />
-	<br />
-	&nbsp;</p>
+		<div style="width:300px;text-align:left; border:0px solid #000; position: relative;  float:right; margin:10px;">
+			<label style="font-size:9pt !important;">:: {lang_Search_Users}</label>
+			<br/>
+			<br/>
+			<div style="width:500px;">
+				<label>{lang_search}</label>
+				<font color="red"><span id="span_searching2">&nbsp;</span></font>
+				<br/>
+				<input onkeyup="searchDirOrUser(this, event, 'user' );" size="30" type="text" value="" />
+				<br clear="all">	
+				<br clear="all">	
+				<label>{lang_directory}</label>
+				<br/>
+				<select id="search2" size="3" style="width: 300px;"></select>
+			</div>
+		</div>
+		<br clear="all" />	
+		<br clear="all" />	
+		<div style="width: 400px;">
+			<label style="margin:3px;"><input name="checkAttr" id="egw_read" type="checkbox"/>{lang_Read}</label>
+			<label style="margin:3px;"><input name="checkAttr" id="egw_add" type="checkbox">{lang_Add}</label>
+			<label style="margin:3px;"><input name="checkAttr" id="egw_edit" type="checkbox">{lang_Edit}</label>
+			<label style="margin:3px;"><input name="checkAttr" id="egw_delete" type="checkbox">{lang_Delete}</label>
+			<label style="margin:3px;"><input name="checkAttr" id="egw_private" type="checkbox">{lang_private}</label>
+		</div>
+		<br clear="all" />	
+		<br clear="all" />	
+		<div style="width: 330px;">
+			<input onclick="set_owner()" type="button" value="{lang_setowner}" />
+			<input onclick="set_permission()" type="button" value="{lang_setperm}" />
+			<input type="button" onclick="javascript:history.back();" value="{lang_back}" name="back" />
+		</div>
+	</div>
+</center>
+<br/>
+
 <!-- END body -->
 