Index: /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3883)
+++ /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3884)
@@ -61,5 +61,5 @@
 Call to Mobile Number	expressoMail1_2	pt-br	Discar para Telefone Celular
 cancel	expressoMail1_2	pt-br	Cancelar
-cannot create folder. try other folder name	expressoMail1_2	pt-br	Erro ao criar a pasta. Certifique-se de que não tentou criá-la com um nome que contém a string \"local_\" ou que possui algum caracter especial
+cannot create folder. try other folder name	expressoMail1_2	pt-br	Erro ao criar a pasta. Certifique-se de que não tentou criá-la com um nome que contém a string \"local_\" ou que possui algum caractere especial.
 cannot rename folder. try other folder name	expressoMail1_2	pt-br	Impossível renomear pasta, tente outro nome.
 Caracter "#" is not allowed!	expressoMail1_2	pt-br	Caracter "#" não é permitido!
@@ -104,5 +104,5 @@
 Delete folder	expressoMail1_2	pt-br	Excluir pasta
 Delete trash messages after how many days?	expressoMail1_2	pt-br	Apagar mensagens após quantos dias na lixeira?
-Delete your sub-folders first	expressoMail1_2	pt-br	Remova suas sub-pastas primeiro
+Delete your sub-folders first	expressoMail1_2	pt-br	Remova suas sub-pastas primeiro.
 Deleting downloadeds msgs...	expressoMail1_2	pt-br	Apagando mensagens arquivadas...
 Desired action to archive messages to local folders	expressoMail1_2	pt-br	Ação desejada ao arquivar mensagem nas pastas locais
@@ -147,5 +147,5 @@
 End of archive messages	expressoMail1_2	pt-br	Fim do arquivamento de mensagens
 English	expressoMail1_2	pt-br	Inglês
-Enter a name for the box	expressoMail1_2	pt-br	Entre com um nome para a caixa
+Enter a name for the box	expressoMail1_2	pt-br	Entre com um nome para a caixa:
 Enter the name of the new folder:	expressoMail1_2	pt-br	Insira o nome da nova pasta: 
 Enter with link URL:	expressoMail1_2	pt-br	Entre com a URL do link:
@@ -255,5 +255,5 @@
 It's not possible create inside: 	expressoMail1_2	pt-br	Não é possivel criar dentro de: 
 It's not possible delete the folder: 	expressoMail1_2	pt-br	Não é possível remover a pasta: 
-It's not possible delete this folder, because it is being used in the moment!	expressoMail1_2	pt-br	Não é possivel remover esta pasta, pois está em uso no momento!
+It's not possible delete this folder, because it is being used in the moment!	expressoMail1_2	pt-br	Não é possível remover esta pasta, pois está em uso no momento!
 It's not possible remove this folder, because it is being used in the moment!	expressoMail1_1	pt-br	Não é possível remover esta pasta, pois estão em uso no momento!
 It's not possible rename the folder: 	expressoMail1_2	pt-br	Não é possível renomear a pasta: 
@@ -284,5 +284,5 @@
 l_seen	expressoMail1_2	pt-br	Lidas
 l_unseen	expressoMail1_2	pt-br	Não lidas
-Mailbox already exists	expressoMail1_2	pt-br	Pasta já existe
+Mailbox already exists	expressoMail1_2	pt-br	Pasta já existe.
 Mailbox Sharing	expressoMail1_2	pt-br	Compartilhamento de Caixa Postal
 Mail	expressoMail1_2	pt-br	Correio
Index: /branches/2.2/expressoMail1_2/js/messages_controller.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/messages_controller.js	(revision 3844)
+++ /branches/2.2/expressoMail1_2/js/messages_controller.js	(revision 3884)
@@ -101,5 +101,5 @@
 
 		if (ttree.FOLDER == 'local_Inbox') {
-			alert(get_lang("It's not possible rename the folder: ") + lang_folder(ttree.FOLDER.substr(6)));
+			alert(get_lang("It's not possible rename the folder: ") + lang_folder(ttree.FOLDER.substr(6)) + '.');
 			return false;
 		}
@@ -165,5 +165,5 @@
 			}
 			if (ttree.FOLDER == 'local_Inbox') {
-				alert(get_lang("It's not possible delete the folder: ")  + lang_folder(ttree.FOLDER.substr(6)));
+				alert(get_lang("It's not possible delete the folder: ")  + lang_folder(ttree.FOLDER.substr(6)) + '.');
 				return false;
 			}
Index: /branches/2.2/expressoMail1_2/js/TreeShow.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/TreeShow.js	(revision 3750)
+++ /branches/2.2/expressoMail1_2/js/TreeShow.js	(revision 3884)
@@ -103,5 +103,5 @@
 			}
 			if(func == "rename" && this.verify_names(aux2)){
-			       alert(get_lang("It's not possible rename the folder: ") + lang_folder(aux2));
+			       alert(get_lang("It's not possible rename the folder: ") + lang_folder(aux2) + '.');
 			       return false;
 			}else{
@@ -211,10 +211,10 @@
 		}
 		if(aux.length == 1){
-            alert(get_lang("It's not possible rename the folder: ") + aux[0]);
+            alert(get_lang("It's not possible rename the folder: ") + aux[0] + '.');
 			rename = "";
 			return false;
 		}else{
 			if(this.verify_names(aux[1])){
-                alert(get_lang("It's not possible rename the folder: ") + aux[1]);
+                alert(get_lang("It's not possible rename the folder: ") + aux[1] + '.');
 				rename = "";
 				return false;
@@ -278,9 +278,9 @@
 		
 		if(aux.length == 1){
-            alert(get_lang("It's not possible delete the folder: ") + get_lang("Inbox"));
+            alert(get_lang("It's not possible delete the folder: ") + get_lang("Inbox") + '.');
 			return false;
 		}else{
 			if(this.verify_names(aux[1]) && typeof(aux[2]) == 'undefined'){
-	            alert(get_lang("It's not possible delete the folder: ") + get_lang(special_folders[aux[1]]));	 
+	            alert(get_lang("It's not possible delete the folder: ") + get_lang(special_folders[aux[1]]) + '.');	 
       			return false;
 			}else{